> For the complete documentation index, see [llms.txt](https://docs.tako.so/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tako.so/monetization/open-curation/for-lens-dapp/sdk/generatebidbatchabidata.md).

# generateBidBatchAbiData()

<table><thead><tr><th width="160">SDK</th><th>generateBidBatchAbiData()</th></tr></thead><tbody><tr><td>Description</td><td>Similar to generateBidAbiData(), supports batch operations.</td></tr><tr><td>Nature</td><td>Method of Class</td></tr></tbody></table>

## Parameters

<table><thead><tr><th width="153">Name</th><th width="104">Type</th><th width="110">Required</th><th>Description</th></tr></thead><tbody><tr><td>contentIds</td><td>string[]</td><td>YES</td><td>The id of publication that is wating to be curated, such as 0x8d11-0x07-DA-1cdac4db</td></tr><tr><td>bidTokens</td><td>string[]</td><td>YES</td><td>The address of token. Default to 0x0000000000000000000000000000000000000000 , namely Matic</td></tr><tr><td>bidAmounts</td><td>bigint[]</td><td>YES</td><td>The amount of bidToken</td></tr><tr><td>merkleIndex</td><td>number</td><td>NO</td><td>(Ignore it on testnet)</td></tr><tr><td>merkleProof</td><td>string[]</td><td>NO</td><td>(Ignore it on testnet)</td></tr></tbody></table>

## Example Code

Refer to: [generateBidAbiData()](/monetization/open-curation/for-lens-dapp/sdk/generatebidabidata.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tako.so/monetization/open-curation/for-lens-dapp/sdk/generatebidbatchabidata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
